[Swift-commit] r5640 - SwiftApps/SciColSim
jonmon at ci.uchicago.edu
jonmon at ci.uchicago.edu
Thu Feb 16 15:07:39 CST 2012
Author: jonmon
Date: 2012-02-16 15:07:39 -0600 (Thu, 16 Feb 2012)
New Revision: 5640
Modified:
SwiftApps/SciColSim/swiftopt.sh
Log:
o SciColSim/swiftopt.sh
-- added check to make sure parameter file exists
Modified: SwiftApps/SciColSim/swiftopt.sh
===================================================================
--- SwiftApps/SciColSim/swiftopt.sh 2012-02-16 20:59:48 UTC (rev 5639)
+++ SwiftApps/SciColSim/swiftopt.sh 2012-02-16 21:07:39 UTC (rev 5640)
@@ -71,6 +71,11 @@
fi
# Get optimization parameters
+if [ ! -f params/$paramfile ];
+then
+ echo "Could not find parameter file $paramfile in params!"
+ exit 1
+fi
cp params/$paramfile $rundir/paramfile
sed -e '/^[[:space:]]*\(#.*\)*$/d' -e 's/#.*//' -e 's/ */=/' -e 's/^/export /' <params/$paramfile >$rundir/params.annealing
source $rundir/params.annealing
More information about the Swift-commit
mailing list